Back to home page

OSCL-LXR

 
 

    


0001 #!/bin/sh
0002 # SPDX-License-Identifier: GPL-2.0
0003 
0004 PKG="gtk+-2.0 gmodule-2.0 libglade-2.0"
0005 
0006 if [ -z "$(command -v ${HOSTPKG_CONFIG})" ]; then
0007         echo >&2 "*"
0008         echo >&2 "* 'make gconfig' requires '${HOSTPKG_CONFIG}'. Please install it."
0009         echo >&2 "*"
0010         exit 1
0011 fi
0012 
0013 if ! ${HOSTPKG_CONFIG} --exists $PKG; then
0014         echo >&2 "*"
0015         echo >&2 "* Unable to find the GTK+ installation. Please make sure that"
0016         echo >&2 "* the GTK+ 2.0 development package is correctly installed."
0017         echo >&2 "* You need $PKG"
0018         echo >&2 "*"
0019         exit 1
0020 fi
0021 
0022 if ! ${HOSTPKG_CONFIG} --atleast-version=2.0.0 gtk+-2.0; then
0023         echo >&2 "*"
0024         echo >&2 "* GTK+ is present but version >= 2.0.0 is required."
0025         echo >&2 "*"
0026         exit 1
0027 fi
0028 
0029 echo cflags=\"$(${HOSTPKG_CONFIG} --cflags $PKG)\"
0030 echo libs=\"$(${HOSTPKG_CONFIG} --libs $PKG)\"